KNOWN BUGS
----------
* Window: non-fixed positioning broken (limit, init position, d'n'd, ...)
* LevelMeter: breaks without transparecies in overlay
              Android default browser breaks on using hold option
              Android default browser breaks on gradients
                      (because of mootools platform detection)
* Scale: test: min -60, max 3, base 0
* LevelMeter broken
  check if _label_timeout works as expected (and doesn't fire continuously)
  check why _label_timeout doesn't do a reset of the timeout but a return instead
* State doesn't switch "state" on set() in FF

REFERENCE / DEMO
----------------

* Fader
* Pager
* Keyboard
* ValueKnob
* Select
  
STRIP MOOTOOLS FROM TOOLKIT:
----------------------------
* svgutils.js
* event.resize.js
* [element].dispose()


OTHER IMPROVEMENTS
------------------
* "use strict"; in all files

* LevelMeter renders uneccessary parent elements
  drawing of peak and masks leaks outsinde the meterbase div

* Remove alpha drawings

* Speedup by creating render layer groups

* Responsehandle: extract crosshairs and add them to Responsehandler

* Strip multiple background elements from Fader and replace with
  multiple CSS3 background images (hm.. stating edge distance for
  background isn't supported by Safari >= 6 which is present on lots of
  iPhone/iPad devices :(
  
* Make use of calc() in CSS and remove unneccessary positioning stuff
  from widgets

* Pager and ButtonArray share kind of the same concept - a container
  with some elements in it inside a clipping area scrolling vertically
  or horizontally. Perhaps build a super class?

* strip unneeded css class declaration chains in css files

REMINDERS
---------

* ButtonArray and Pager do class manipulation via string operations
  for downward compatibility to IE9
  
* Implement resize() for all widgets who benefit from auto resizing
  (and don't forget to call parent class if there's one !)
